(TeX-add-style-hook
 "estyle"
 (lambda ()
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "url")
   (TeX-run-style-hooks
    "theorem"
    "amssymb"
    "amsmath"
    "afterpage")
   (TeX-add-symbols
    '("CInferenzFoot" 3)
    '("CInferenz" 3)
    '("GInferenz" 3)
    '("relation" 1)
    '("ttbrace" 1)
    '("expr" 1)
    '("eqnrule" 2)
    '("rle" 2)
    '("doteqn" 2)
    '("eeqn" 2)
    '("ueqn" 2)
    '("neqn" 2)
    '("eqn" 2)
    '("mw" 1)
    '("syntaxrule" 2)
    "mmback"
    "nat"
    "eequal"
    "N"
    "Reals"
    "E"
    "R"
    "CP")
   (LaTeX-add-environments
    "example"
    "corollary")
   (LaTeX-add-theorem-newtheorems
    "definition"
    "theorem"))
 :latex)

