% red, green, blue are colour and the only ones
tff(coltype,   type, colour:$tType).
tff(typered,   type, red  :colour).
tff(typeblue,  type, blue :colour).
tff(typegreen, type, green:colour).
tff(colselection, axiom, ![X:colour]:(X=red |X=blue|X=green)).

% We have 4 named countries
tff(countrytype, type, country:$tType).
tff(typemid,     type, midland   :country).
tff(typeright,   type, rightland :country).
tff(typeleft,    type, leftland  :country).
tff(typetop,     type, topland   :country).

tff(adjacent, axiom,
    ![X:country, Y:country]:(adjacent(X,Y)=>adjacent(Y,X))).

% The map
tff(ml, axiom, adjacent(midland, leftland)).
tff(mr, axiom, adjacent(midland, rightland)).
tff(mt, axiom, adjacent(midland, topland)).

tff(tl, axiom, adjacent(topland, leftland)).
tff(tr, axiom, adjacent(topland, rightland)).
tff(lr, axiom, adjacent(leftland, rightland)).

% Now try colouring!
tff(colfun, type, col: country > colour).
%tff(colmap, axiom, ![X:country, Y:country]:(adjacent(X,Y) => col(X)!=col(Y))).
