tff(del,type,(
    del: $tType )).

tff(bool,type,(
    bool: del )).

tff(ind,type,(
    ind: del )).

tff(arr,type,(
    arr: ( del * del ) > del )).

tff(mem,type,(
    mem: ( $i * del ) > $o )).

tff(ap,type,(
    ap: ( $i * $i ) > $i )).

tff(k,type,(
    k: ( del * $i ) > $i )).

tff(i,type,(
    i: del > $i )).

tff(p,type,(
    p: $i > $o )).

tff(ap_tp,axiom,(
    ! [A: del,B: del,F: $i] :
      ( mem(F,arr(A,B))
     => ! [X: $i] :
          ( mem(X,A)
         => mem(ap(F,X),B) ) ) )).

tff(boolext,axiom,(
    ! [Q: $i] :
      ( mem(Q,bool)
     => ! [R: $i] :
          ( mem(R,bool)
         => ( ( p(Q)
            <=> p(R) )
           => Q = R ) ) ) )).

tff(funcext,axiom,(
    ! [A: del,B: del,F: $i] :
      ( mem(F,arr(A,B))
     => ! [G: $i] :
          ( mem(G,arr(A,B))
         => ( ! [X: $i] :
                ( mem(X,A)
               => ap(F,X) = ap(G,X) )
           => F = G ) ) ) )).

tff(kbeta,axiom,(
    ! [A: del,Y: $i,X: $i] :
      ( mem(X,A)
     => ap(k(A,Y),X) = Y ) )).

tff(ibeta,axiom,(
    ! [A: del,X: $i] :
      ( mem(X,A)
     => ap(i(A),X) = X ) )).

tff(stp_o,type,(
    tp__o: $tType )).

tff(stp_inj_o,type,(
    inj__o: tp__o > $i )).

tff(stp_surj_o,type,(
    surj__o: $i > tp__o )).

tff(stp_inj_surj_o,axiom,(
    ! [X: tp__o] : surj__o(inj__o(X)) = X )).

tff(stp_inj_mem_o,axiom,(
    ! [X: tp__o] : mem(inj__o(X),bool) )).

tff(stp_iso_mem_o,axiom,(
    ! [X: $i] :
      ( mem(X,bool)
     => X = inj__o(surj__o(X)) ) )).

tff(tp_c_2Emin_2E_3D,type,(
    c_2Emin_2E_3D: del > $i )).

tff(mem_c_2Emin_2E_3D,axiom,(
    ! [A_27a: del] : mem(c_2Emin_2E_3D(A_27a),arr(A_27a,arr(A_27a,bool))) )).

tff(ax_eq_p,axiom,(
    ! [A: del,X: $i] :
      ( mem(X,A)
     => ! [Y: $i] :
          ( mem(Y,A)
         => ( p(ap(ap(c_2Emin_2E_3D(A),X),Y))
          <=> X = Y ) ) ) )).

tff(tp_c_2Ebool_2ET,type,(
    c_2Ebool_2ET: $i )).

tff(mem_c_2Ebool_2ET,axiom,(
    mem(c_2Ebool_2ET,bool) )).

tff(stp_fo_c_2Ebool_2ET,type,(
    fo__c_2Ebool_2ET: tp__o )).

tff(stp_eq_fo_c_2Ebool_2ET,axiom,(
    inj__o(fo__c_2Ebool_2ET) = c_2Ebool_2ET )).

tff(ax_true_p,axiom,(
    p(c_2Ebool_2ET) )).

tff(ax_thm_2Ebool_2ET__DEF,axiom,
    ( $true
  <=> i(bool) = i(bool) )).

tff(conj_thm_2Ebool_2ETRUTH,conjecture,(
    $true )).
